Get a page of warehouses
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of warehouses to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter warehouses by. This can be all or part of a warehouse name.
- Type: integer · enumStatus
The status to filter warehouses by.
values- Active = 1
- Inactive = 2
Responses
- application/json
Request Example for get/v1/warehouses
curl 'https://api.consignlyhq.com/v1/warehouses?PageIndex=1&PageSize=25&SearchText=Auckland%20Cold%20Storage&Status=1'
{
"index": 1,
"total": 1,
"warehouses": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"code": null,
"status": "enum (Active = 1, Inactive = 2)",
"addressId": "123e4567-e89b-12d3-a456-426614174000",
"latitude": 1,
"longitude": 1,
"timezoneId": null
}
]
}